local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff


-- Use this single spam function and remove the multiple spam table below, or just use the multiple spam table below and leave this function in place.
a.SetSpamFunction(function() a.RunSpamTable()
	
	local spec = s.TalentMastery()
	a.Flash("Dark Intent")
	a.Flash("Curse of the Elements")
	if spec == 1 then
		-- Affliction
		a.Flash("Summon Felhunter ooc")
		a.Flash("Dark Soul: Misery",
				"Grimoire: Felhunter", "Grimoire of Sacrifice",
--				"Summon Felhunter (Sacrifice down)",
				"Summon Doomguard",
				"Soulburn w/ Dark Soul",
				"Soul Swap w/ Soulburn",
				"Haunt",
				"Agony",
				"Corruption",
				"Unstable Affliction",
				"Drain Soul as finisher",
				"Life Tap Affliction",
				"Malefic Grasp",
				"Fel Flame",
				"Life Tap")
	elseif spec == 2 then
		-- Demonology
		a.Flash("Summon Felguard ooc")
		a.Flash("Dark Soul: Knowledge",
				"Grimoire: Felguard", "Grimoire of Sacrifice",
--				"Summon Felguard (Sacrifice down)",
				"Command Demon", "Felguard: Felstorm",
				"Summon Doomguard",
				"Corruption",
				"Doom",
				"Metamorphosis",
				"Cancel Metamorphosis",
				"Imp Swarm",
				"Hand of Gul'dan",
				"Soul Fire",
				"Touch of Chaos",
				"Life Tap Demo",
				"Shadow Bolt",
				"Fel Flame",
				"Life Tap")
	elseif spec == 3 then
		-- Destruction
	else
		print("no active Spec")
	end
	if x.PetAlive and not x.PetActiveEnemy and s.InCombat() and x.ActiveEnemy then
		s.FlashPet("Attack", "Pink")
		s.FlashPet("Assist", "Pink")
	end
end)

